<?php

/**
 * Active Callbacks
 *
 * @package Minimalistic Blog
 */

// Theme Options.
function minimalistic_blog_is_pagination_enabled( $control ) {
	return ( $control->manager->get_setting( 'minimalistic_blog_enable_pagination' )->value() );
}
function minimalistic_blog_is_breadcrumb_enabled( $control ) {
	return ( $control->manager->get_setting( 'minimalistic_blog_enable_breadcrumb' )->value() );
}

// Banner Section.
function minimalistic_blog_is_banner_section_enabled( $control ) {
	return ( $control->manager->get_setting( 'minimalistic_blog_enable_banner_section' )->value() );
}
// Banner Slider Section.
function minimalistic_blog_is_banner_slider_and_content_type_post_enabled( $control ) {
	$content_type = $control->manager->get_setting( 'minimalistic_blog_banner_slider_content_type' )->value();
	return ( minimalistic_blog_is_banner_section_enabled( $control ) && ( 'post' === $content_type ) );
}
function minimalistic_blog_is_banner_slider_and_content_type_category_enabled( $control ) {
	$content_type = $control->manager->get_setting( 'minimalistic_blog_banner_slider_content_type' )->value();
	return ( minimalistic_blog_is_banner_section_enabled( $control ) && ( 'category' === $content_type ) );
}

// Categories Section.
function minimalistic_blog_is_categories_section_enabled( $control ) {
	return ( $control->manager->get_setting( 'minimalistic_blog_enable_categories_section' )->value() );
}

// Check if static home page is enabled.
function minimalistic_blog_is_static_homepage_enabled( $control ) {
	return ( 'page' === $control->manager->get_setting( 'show_on_front' )->value() );
}
